import { ICellRendererComp, ICellRendererParams } from '@ag-grid-community/core';
import { FoundationElement } from '@microsoft/fast-foundation';
interface FuiCellRendererParams extends ICellRendererParams {
    changeHandler?: () => any;
}
/**
 * The AG Boolean Renderer element.
 * @public
 * @tagname %%prefix%%-boolean-renderer
 */
export declare class BooleanRenderer extends FoundationElement implements ICellRendererComp {
    params: FuiCellRendererParams;
    init(params: FuiCellRendererParams): void;
    getGui(): HTMLElement;
    destroy(): void;
    refresh(params: FuiCellRendererParams): boolean;
}
/**
 * The AG Boolean Renderer Styles.
 * @public
 */
export declare const agBooleanRendererStyles: import("@microsoft/fast-element").ElementStyles;
/**
 * Get a Design System prefixed Checkbox template.
 * @param designSystem - The design system prefix to use. Defaults to 'foundation'.
 * @returns A Checkbox component template prefixed with the correct design system.
 * @public
 */
export declare const getAgBooleanRendererTemplate: (designSystem?: string) => import("@microsoft/fast-element").ViewTemplate<any, any>;
/**
 * A function that returns a Foundation Boolean Renderer registration for configuring the component with a DesignSystem.
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-boolean-renderer\>
 */
export declare const foundationAgBooleanRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<any, any>;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<any, any>;
}, typeof BooleanRenderer>;
export {};
//# sourceMappingURL=boolean.renderer.d.ts.map